/// <reference types="react" />
export interface RemoteComponent {
    name: string;
    component: JSX.Element;
}
export type RemoteComponentCache = [packs: {
    [key: string]: RemoteComponent[];
}, setPacks: (packs: {
    [key: string]: RemoteComponent[];
}) => void];
declare let baseRequirements: any;
declare const Loader: (base_url: string, start: string) => Promise<{}>;
declare const useRemoteComponents: (cache?: RemoteComponentCache) => {
    getPack: (id: string, base_url: string, url: string) => Promise<{
        name: string;
        component: any;
    }[] | undefined>;
};
export { useRemoteComponents, Loader, baseRequirements };
